org.bdgenomics.adam.rdd

# ADAMContext

#### object ADAMContext extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ADAMContext
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### implicit def convertBaseFeatureRDDToFeatureRDD(rdd: RDD[Feature]): FeatureRDDFunctions

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### implicit def genomicRDDToRDD[T](gRdd: GenomicRDD[T]): RDD[T]

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### implicit def intListToJavaIntegerList(list: List[Int]): List[Integer]

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### implicit def iterableToJavaCollection[A](i: Iterable[A]): Collection[A]

18. #### implicit def javaListToList[A](list: List[A]): List[A]

19. #### implicit def javaMapToMap[A, B](map: Map[A, B]): Map[A, B]

20. #### implicit def javaSetToSet[A](set: Set[A]): Set[A]

21. #### implicit def listToJavaList[A](list: List[A]): List[A]

22. #### implicit def mapToJavaMap[A, B](map: Map[A, B]): Map[A, B]

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### implicit def rddToADAMGenotypeRDD(rdd: RDD[Genotype]): GenotypeRDDFunctions

27. #### implicit def rddToADAMRDD[T](rdd: RDD[T])(implicit ev1: (T) ⇒ IndexedRecord, ev2: Manifest[T]): ADAMRDDFunctions[T]

28. #### implicit def rddToADAMRecordRDD(rdd: RDD[AlignmentRecord]): AlignmentRecordRDDFunctions

29. #### implicit def rddToContigFragmentRDD(rdd: RDD[NucleotideContigFragment]): NucleotideContigFragmentRDDFunctions

30. #### implicit def rddToFragmentRDD(rdd: RDD[Fragment]): FragmentRDDFunctions

31. #### implicit def rddToVariantContextRDD(rdd: RDD[VariantContext]): VariantContextRDDFunctions

32. #### implicit def recordToRichRecord(record: AlignmentRecord): RichAlignmentRecord

33. #### implicit def setToJavaSet[A](set: Set[A]): Set[A]

34. #### implicit def sparkContextToADAMContext(sc: SparkContext): ADAMContext

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped